## snibbetracker 1.1.1

=== res/windows/Makefile ===
#usage mingw32-make clean, mingw32-make

# Files to be compiled
SRC = C:\snibbetracker\src\CAllocator.c C:\snibbetracker\src\CEngine.c C:\snibbetracker\src\CInput.c C:\snibbetracker\src\CSynth.c C:\snibbetracker\src\cJSON\cJSON.c C:\snibbetracker\src\dir_win.c C:\snibbetracker\src\main.c
OBJ=$(SRC:.c=.o) # replaces the .c from SRC with .o

# Compiler
CC = gcc

RM=del

# Include paths
INCLUDE_PATHS = -IC:\Downloads\SDL2-devel-2.0.4-mingw\i686-w64-mingw32\include -IC:\snibbetracker\src\cJSON

# Library paths
LIBRARY_PATHS = -LC:\Downloads\SDL2-devel-2.0.4-mingw\i686-w64-mingw32\lib

# Compiler flags
COMPILER_FLAGS = -Wall -std=c99 -Wno-unused-function

# Linker flags
LINKER_FLAGS = -static -lmingw32 -lSDL2main -lSDL2 -mwindows -lm -ldinput8 -ldxguid -ldxerr8 -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lshell32 -lversion -luuid -static-libgcc

# Executable file
EXE = snibbetracker.exe

# Compile command
#all: 
#	$(SRC) 
#	$(CC) $(SRC) $(INCLUDE_PATHS) $(LIBRARY_PATHS) $(COMPILER_FLAGS) $(LINKER_FLAGS) -o $(EXE)

%.o: %.c         # combined w/ next line will compile recently changed .c files
	$(CC) $(COMPILER_FLAGS) $(INCLUDE_PATHS) -o $@ -c $<
	
.PHONY : all     # .PHONY ignores files named all
all: $(EXE)      # all is dependent on $(EXE) to be complete

$(EXE): $(OBJ)   # $(EXE) is dependent on all of the files in $(OBJ) to exist
	$(CC) $(OBJ) my.res $(LIBRARY_PATHS) $(LINKER_FLAGS) -o $@

.PHONY : clean   # .PHONY ignores files named clean
clean:
	-$(RM) $(OBJ) $(EXE)

=== debian/changelog ===
snibbetracker (1.1.1-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:07:13 +0000

snibbetracker (1.1.1-3) unstable; urgency=medium

  * Apply patch to fix reproducible-builds. (Closes: #1005794)
    Thanks Vagrant Cascadian.

 -- Gürkan Myczko <tar@debian.org>  Sun, 13 Mar 2022 19:24:27 +0100

snibbetracker (1.1.1-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Thu, 17 Feb 2022 14:57:34 +0100

snibbetracker (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1003216)

 -- Gürkan Myczko <tar@debian.org>  Tue, 04 Jan 2022 18:28:14 +0100

=== debian/control ===
Source: snibbetracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libcjson-dev, libsdl2-dev
Standards-Version: 4.7.0
Homepage: https://github.com/lundstroem/snibbetracker
Vcs-Browser: https://salsa.debian.org/multimedia-team/snibbetracker
Vcs-Git: https://salsa.debian.org/multimedia-team/snibbetracker.git
Rules-Requires-Root: no

Package: snibbetracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fakebit music tracker
 This is a fakebit tracker written in C using SDL2 that the author began
 working on in 2014 to learn DSP programming. It can handle 6 channels,
 and is similar to other tracker like music creation software.
 .
 Find some music tracks here:
 https://battleofthebits.org/browser/Format/snibbetracker

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=snibbetracker/src

override_dh_auto_configure:
	cp debian/Makefile snibbetracker/src

override_dh_auto_clean:
	-rm snibbetracker/src/Makefile
	dh_auto_clean
